Subject: Re: unable to push

From: Adam Piątyszek <[email-masked]>
Date: Sat, 31 May 2008 18:52:18 +0200

* Jeff King [31 V 2008 17:50]:
> On Sat, May 31, 2008 at 08:03:47AM -0700, [email-masked] wrote:
> 
>> for some reason when I try to push to my public repo I get a message that  
>> everything is up to date, but if I switch to that repo and do a pull it  
>> updates properly
> 
> If you "git push" without a refspec, it pushes "matching branches". See
> git-push(1) for more details.
> 
>> root@asgard:/var/www/adastra/xml2pdf/current# git ls-remote public
>> d3f3d8474db1c006a53be8b5f5c1a0d866d7e357        HEAD
>> d3f3d8474db1c006a53be8b5f5c1a0d866d7e357        refs/heads/localmaster
> 
> So you have only one branch, "localmaster".
> 
>> root@asgard:/var/www/adastra/xml2pdf/current# git ls-remote .
>> 71ab4eea48eb3407a2ff4eef2befe9251897d676        HEAD
>> 71ab4eea48eb3407a2ff4eef2befe9251897d676        refs/heads/master
> 
> But the remote has only one branch, "master".
> 
> If you want to push your localmaster to his master, you can do:
> 
>   git push origin localmaster:master
[...]

I guess Peef described it the opposite way. In my opinion "localmaster" 
is the only branch on the remote "public" repository and the local 
repository has only one "master" branch.

So to push local "master" to the remote "localmaster" branch you should use:

   git push public master:localmaster

BR,
/Adam

-- 
.:.  Adam Piątyszek (ediap)  .:.....................................:.
.:.  [email-masked]  .:................................:.